@charset "utf-8";
/* CSS Document */
.uso{
	color: #fff;
	
}
body { background-color:#3E3535; }
.wrapper{
  width:100%;
  max-width: 1200px;
  margin:30px auto;
    background:#fefefe;
}

/*headerのためのCSS*/
.header-wraper{
	width: 100vw;
	position:sticky;
	z-index: 99999;
}
.title-logo{
	width: 17vw;
	height: auto;
	min-width:152px;
	max-width: 111px;
}
.header-nav{
	align-items: center;
	height: 10vh;
	display: flex;
}

/*========= ナビゲーションのためのCSS ===============*/

#g-nav{
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position:fixed;
    z-index: 999;
    /*ナビのスタート位置と形状*/
	top:0;
    right: -120%;
	width:25%;
    height: 37vh;/*ナビの高さ*/
	background:#999;
    /*動き*/
	transition: all 0.6s;
}

/*アクティブクラスがついたら位置を0に*/
#g-nav.panelactive{
    right: 0;
}

/*ナビゲーションの縦スクロール*/
#g-nav.panelactive #g-nav-list{
    /*ナビの数が増えた場合縦スクロール*/
    position: fixed;
    z-index: 999; 
    width: 26%;
    height: 43vh;/*表示する高さ*/
    overflow: auto;
    -webkit-overflow-scrolling: touch;
}

/*ナビゲーション*/
#g-nav ul {
    /*ナビゲーション天地中央揃え*/
    position: absolute;
    z-index: 999;
    top:50%;
    left:45%;
    transform: translate(-50%,-50%);
}

/*リストのレイアウト設定*/

#g-nav li{
	list-style: none;
    text-align: center;
}

#g-nav li a{
	color: #333;
	text-decoration: none;
	padding:24px;
	display: block;
	text-transform: uppercase;
	font-weight: bold;
	font-size: 157%;
}

/*========= ボタンのためのCSS ===============*/
.openbtn{
	position:fixed;
    z-index: 9999;/*ボタンを最前面に*/
	top:1vh;
	right: 4vh;
	cursor: pointer;
    width: 59px;
    height:50px;
}
	
/*×に変化*/	
.openbtn span{
    display: inline-block;
    transition: all .4s;
    position: absolute;
    left: 8px;
    height: 11px;
	background-color: #000;
  	width: 100%;
  }

.openbtn span:nth-of-type(1) {
	top:15px;	
}

.openbtn span:nth-of-type(2) {
	top:31px;
}

.openbtn span:nth-of-type(3) {
	top:47px;
}

.openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 65%;
}

.openbtn.active span:nth-of-type(2) {
	opacity: 0;
}

.openbtn.active span:nth-of-type(3){
    top: 30px;
    left: 18px;
    transform: translateY(-6px) rotate(45deg);
    width: 65%;
}
.footer-nav ul{
	color: #787A6A;
	padding: 150px;
	font-size: 40px;
	display: flex;
	justify-content: center;
	gap:20%;
}
/*footerのためのCSS*/

footer{
	height: 409px;
	background-color: #2D2828;
	line-height: 1.5;
}
@media (max-width:480px){
	.openbtn{
	position:fixed;
    z-index: 9999;/*ボタンを最前面に*/
	top:0vh;
	right: 4vh;
	cursor: pointer;
    width: 59px;
    height:50px;
}
	#g-nav{
  
	top:0;
    right: -120%;
	width:40%;
    height: 37vh;
}
	.footer-nav ul{
		padding: 110px;
		flex-direction: column;
	}
	#g-nav{
    /*ナビの数が増えた場合縦スクロール*/
    position: fixed;
    z-index: 999; 
    width: 70%;
    height: 33vh;/*表示する高さ*/
    overflow: auto;
    -webkit-overflow-scrolling: touch;
}
	.footer-nav ul li{
		text-align: center;
	}
}